// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once


#include "targetver.h"

// ******************************* Our defines

#define _CRT_SECURE_NO_WARNINGS

#define _CRT_SECURE_NO_DEPRECATE
#define _CRT_NONSTDC_NO_DEPRECATE 
#define _SCL_SECURE_NO_DEPRECATE
#if defined (_SECURE_SCL)
#	undef _SECURE_SCL
#endif

#define _SECURE_SCL 0 

// ******************************* Our defines - END




// ******************************* BOOST defines and includes

#if defined(BOOST_MPL_LIMIT_LIST_SIZE) && BOOST_MPL_LIMIT_LIST_SIZE != 30
#error    You must include "BoostDefines.h" before other boost header files.
#endif

// This solution causes problems when building various projects, with conflicts with stdlib headers...etc
// So, I reverted to using the original solution, below.
//#define BOOST_MPL_LIMIT_VECTOR_SIZE 50
//#include <boost/mpl/vector.hpp>

// Boost comes with prec processed 0, 10, 20, 30, 40, 50 sizes
#define	BOOST_MPL_LIMIT_LIST_SIZE 30
#define	BOOST_MPL_CFG_NO_PREPROCESSED_HEADERS

#define BOOST_THREAD_USE_DLL

#pragma warning (push)
#pragma warning (disable : 4244) // conversion from 'int' to 'unsigned short', possible loss of data
#pragma warning (disable : 4512) // 'boost::algorithm::detail::find_format_store<ForwardIteratorT,FormatterT,FormatResultT>' : assignment operator could not be generated
#pragma warning (disable : 4702) // unreachable code
#include <boost/date_time/posix_time/posix_time.hpp>
#include <boost/thread/recursive_mutex.hpp>
#include <boost/thread/condition.hpp>
#include <boost/thread/thread.hpp>
#include <boost/shared_array.hpp>
#include <boost/scoped_array.hpp>
#include <boost/bind.hpp>
#include <boost/interprocess/sync/file_lock.hpp>
#include <boost/interprocess/sync/sharable_lock.hpp>
#include <boost/algorithm/string.hpp>
#pragma warning (pop)


// ******************************* BOOST defines and includes - END
#include <iostream>

#include <windows.h>
#include <process.h>

